curl --request PATCH \
--url https://public-api.stora.co/2025-09/orders/{order_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"starts_at": "now",
"payment_method": "bacs_debit",
"metadata": {
"source": "updated"
}
}
'{
"order": {
"id": "order_942ae99a1fdc940e",
"billing_period": "monthly",
"contact": {
"id": "con_0ac0514ed0711462"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"coupon": {
"id": "cpn_a26d0d4c582740c1"
},
"created_at": "2025-02-22T14:36:00Z",
"email_notifications": {
"booking_confirmation": true,
"move_in_day": true,
"payment_details": false
},
"line_items": [
{
"id": "olitm_1001cbd3d5fec937"
}
],
"metadata": {
"source": "updated"
},
"one_time_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"one_time_total_excluding_tax": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"payment_method": "bacs_debit",
"payment_url": null,
"purchase_order_number": "PO987654321",
"site": {
"id": "site_14b419f1096013f1"
},
"source": "public_api",
"starts_at": "now",
"status": "draft",
"subscription": null,
"subtotal": {
"amount": 9999,
"currency": "GBP",
"formatted": "£99.99"
},
"tax": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"tenancy": null,
"total": {
"amount": 4999,
"currency": "GBP",
"formatted": "£49.99"
},
"total_discount": {
"amount": 5000,
"currency": "GBP",
"formatted": "£50.00"
},
"total_excluding_tax": {
"amount": 4999,
"currency": "GBP",
"formatted": "£49.99"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Update an Order
Update an existing order.
Required authorization scope: public.order:write
curl --request PATCH \
--url https://public-api.stora.co/2025-09/orders/{order_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"starts_at": "now",
"payment_method": "bacs_debit",
"metadata": {
"source": "updated"
}
}
'{
"order": {
"id": "order_942ae99a1fdc940e",
"billing_period": "monthly",
"contact": {
"id": "con_0ac0514ed0711462"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"coupon": {
"id": "cpn_a26d0d4c582740c1"
},
"created_at": "2025-02-22T14:36:00Z",
"email_notifications": {
"booking_confirmation": true,
"move_in_day": true,
"payment_details": false
},
"line_items": [
{
"id": "olitm_1001cbd3d5fec937"
}
],
"metadata": {
"source": "updated"
},
"one_time_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"one_time_total_excluding_tax": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"payment_method": "bacs_debit",
"payment_url": null,
"purchase_order_number": "PO987654321",
"site": {
"id": "site_14b419f1096013f1"
},
"source": "public_api",
"starts_at": "now",
"status": "draft",
"subscription": null,
"subtotal": {
"amount": 9999,
"currency": "GBP",
"formatted": "£99.99"
},
"tax": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"tenancy": null,
"total": {
"amount": 4999,
"currency": "GBP",
"formatted": "£49.99"
},
"total_discount": {
"amount": 5000,
"currency": "GBP",
"formatted": "£50.00"
},
"total_excluding_tax": {
"amount": 4999,
"currency": "GBP",
"formatted": "£49.99"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Authorizations
Bearer Token necessary to use API
Path Parameters
The ID of the order to retrieve
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Body
Update an order
Changing the billing period will not update prices for line items. Ensure that line item prices are correct for the new billing period.
monthly, weekly, every_four_weeks, every_three_months, every_six_months, yearly card, bacs_debit, sepa_debit, au_becs_debit, us_bank_account The purchase order number associated with the order.
The start date (date-time format) or now to indicate the order should start immediately after finalization.
Configure email notifications for the order. Deprecated, use the email_notifications field.
Show child attributes
Show child attributes
Configure email notifications for the order
Show child attributes
Show child attributes
Show child attributes
Show child attributes
To remove the association, set this to null.
Show child attributes
Show child attributes
To remove the association, set this to null.
Show child attributes
Show child attributes
Skip this property (do not include it inside the request) if you don't want to update the line items. Existing Line Items not included here in the update request will be removed. To remove all line items, provide an empty array.
Update a line item
- Option 1
- Option 2
Show child attributes
Show child attributes
Set of key-value pairs for storing additional information on the order. Learn more about metadata.
Show child attributes
Show child attributes
Was this page helpful?